<script lang="ts">
    import type { Application } from "$lib/api/applications";
    import { listApplications } from "$lib/api/applications";
    import * as process from "$lib/api/process";    

    import Cards from "$lib/Cards.svelte";
    import { onMount } from "svelte";

    let resolveApplications;
    const applications: Promise<Application[]> = new Promise(resolve => {resolveApplications = resolve;});

    onMount(async () => {
        resolveApplications(await listApplications({
            current_state: null,
            visible: true,
        }));
    });
</script>

<div>
    <header>
        <h2 class="mdc-typography--headline4">Content</h2>
    </header>

    {#await applications}
        <p>Loading...</p>
    {:then resolved}
        <Cards
            cards={resolved.map(process.cardifyApplication)}
        />
    {/await}
</div>

<style type="text/scss">
    .cell-content {
        // height: 300px;
    }

    :global(.applications-card-media) {
        --cover-color: rgba(0, 0, 0, 0.75);
        background: linear-gradient(var(--cover-color), var(--cover-color)), var(--background-url);
        background-position: center;
        background-size: cover;
    }
</style>
